<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.oa.mapper.schedule.ScheduleInfoMapper">
    <select id="getPage" resultType="com.fjhx.oa.entity.schedule.vo.ScheduleInfoVo">
        select
            si.id,
            si.title,
            si.start_date,
            si.end_date,
            si.repeat_type,
            si.is_all_day,
            si.color,
            si.place,
            si.notice_type,
            si.task_permissions,
            si.remark,
            si.create_user,
            si.create_time,
            si.update_user,
            si.update_time
        from schedule_info si
                 left JOIN schedule_details sd ON sd.schedule_info_id = si.id
            ${ew.customSqlSegment}
    </select>
    <select id="mySchedule" resultType="com.fjhx.oa.entity.schedule.vo.ScheduleInfoVo">
        SELECT
            si.*,
            sd.participant_id
        FROM
            schedule_info si
                JOIN schedule_details sd ON sd.schedule_info_id = si.id
            ${ew.customSqlSegment}
    </select>

</mapper>
